Bug 1127902 - RFE: add better detection for the other conversion types (lvs -o lv_converting)
Summary: RFE: add better detection for the other conversion types (lvs -o lv_converting)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2
Version: 6.6
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: Peter Rajnoha
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 19:31 UTC by Corey Marthaler
Modified: 2017-12-06 11:36 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-06 11:36:01 UTC


Attachments (Terms of Use)

Description Corey Marthaler 2014-08-07 19:31:57 UTC
Description of problem:
This is a super low priority rfe, but currently 'lv_converting' only reports the conversion of existing mirrors to greater legged mirrors. It does not report the conversion of linears -> mirrors, raids, or the down conversion of mirrors or raid volumes.  

Version-Release number of selected component (if applicable):
2.6.32-495.el6.x86_64
lvm2-2.02.109-1.el6    BUILT: Tue Aug  5 10:36:23 CDT 2014
lvm2-libs-2.02.109-1.el6    BUILT: Tue Aug  5 10:36:23 CDT 2014
lvm2-cluster-2.02.109-1.el6    BUILT: Tue Aug  5 10:36:23 CDT 2014
udev-147-2.57.el6    BUILT: Thu Jul 24 08:48:47 CDT 2014
device-mapper-1.02.88-1.el6    BUILT: Tue Aug  5 10:36:23 CDT 2014
device-mapper-libs-1.02.88-1.el6    BUILT: Tue Aug  5 10:36:23 CDT 2014
device-mapper-event-1.02.88-1.el6    BUILT: Tue Aug  5 10:36:23 CDT 2014
device-mapper-event-libs-1.02.88-1.el6    BUILT: Tue Aug  5 10:36:23 CDT 2014
device-mapper-persistent-data-0.3.2-1.el6    BUILT: Fri Apr  4 08:43:06 CDT 2014
cmirror-2.02.109-1.el6    BUILT: Tue Aug  5 10:36:23 CDT 2014

Comment 2 Peter Rajnoha 2015-10-15 12:31:59 UTC
The issue here is that the LV_CONVERTING flag is only used in subset of situations where the conversion actually happens (maybe the LV_CONVERTING is not the happiest name for the flag), not covering the downconversion and conversion from linear to mirror/raid.

We need more than looking at the LV_CONVERTING flag when reporting the lv_converting field. I haven't looked at the code around yet so I'm not yet sure how straightforward the change is here but I suppose we should be able to tell which LV is now being changed.

I'm acking this one, but considering the low priority of this issue, it may end up postponed if preemted by any other priority work that appears.

Comment 5 Jan Kurik 2017-12-06 11:36:01 UTC
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/


Note You need to log in before you can comment on or make changes to this bug.